UNREGISTER_SECURITY(9)

NAME
unregister_security - unregisters a security framework with the kernel

SYNOPSIS

int unregister_security (struct security_operations * ops);

ARGUMENTS

ops a pointer to the struct security_options that is to be registered

DESCRIPTION

This function removes a struct security_operations variable that had previously been registered with a successful call to register_security.

If ops does not match the valued previously passed to register_security an error is returned. Otherwise the default security options is set to the the dummy_security_ops structure, and 0 is returned.